<?php

namespace FiloBlu\OrderAdditionalData\Block\Adminhtml\System\Config;

class ItemDataFields extends \Magento\Config\Block\System\Config\Form\Field\FieldArray\AbstractFieldArray
{

    /**
     * Enable the "Add after" button or not
     *
     * @var bool
     */
    protected $_addAfter = true;

    /**
     * Rows cache
     *
     * @var array|null
     */
    private $_arrayRowsCache;

    /**
     * Prepare to render
     *
     * @return void
     */
    protected function _prepareToRender()
    {
        
        $this->addColumn('fieldname', array(
            'label' => __('Item Field Name')
        ));
        
        $selectBlock=$this->getLayout()->createBlock('Magento\Framework\View\Element\Html\Select')
                        ->setId($this->_getCellInputElementId('<%- _id %>', 'object_type'))
                        ->setName($this->_getCellInputElementName('object_type'))
                        ->setClass('select')
                        ->setOptions(
                            array(
                                ['value' => '', 'label' => __('-- Please Select --')],
                                ['value' => 'product', 'label' => __('Product')],
                                ['value' => 'category', 'label' => __('Category')]
                            )
                        );
        $this->addColumn('object_type', array(
            'label' => __('Object Type'),
            'renderer' => $selectBlock
        ));

        $this->addColumn('object_field', array(
            'label' => __('Object Field Code')
        ));

        $this->_addAfter = false;
        $this->_addButtonLabel = __('Add');
    }

}
